### Function

# Gimp param_spec_parasite

since: 2.4

#### Declaration [src]

    GParamSpec*
    gimp_param_spec_parasite (
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      GParamFlags flags
    )

#### Description [src]

Creates a new `GimpParamSpecParasite` specifying a `GimpParasite` property.

See `g_param_spec_internal()` for details on property names.

Available since: 2.4

#### Parameters

`name`

  Type: `const gchar*`

  Canonical name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  Nick name of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  Description of the property specified.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GParamFlags`

  Flags for the property specified.

#### Return value

Type: `GParamSpec`

The newly created `GimpParamSpecParasite`.

The caller of the function takes ownership of the data, and is responsible for freeing it.